### Hierarchy

- Player

## Index

### Constructors

- constructor

### Properties

- handle
- ped
- pvp

### Accessors

- Character
- Handle
- Name
- PvPEnabled

## Constructors

### constructor

- new Player(handle: number): Player

- - Defined in models/Player.ts:36

  #### Parameters

  - ##### handle: number

  #### Returns Player

## Properties

### Private handle

handle: number

- Defined in models/Player.ts:32

### Private ped

ped: undefined | Ped

- Defined in models/Player.ts:33

### Private pvp

pvp: boolean = false

- Defined in models/Player.ts:34

## Accessors

### Character

- get Character(): Ped

- - Defined in models/Player.ts:8

  #### Returns Ped

### Handle

- get Handle(): number

- - Defined in models/Player.ts:4

  #### Returns number

### Name

- get Name(): string

- - Defined in models/Player.ts:18

  #### Returns string

### PvPEnabled

- get PvPEnabled(): boolean
- set PvPEnabled(value: boolean): void

- - Defined in models/Player.ts:22

  #### Returns boolean

- - Defined in models/Player.ts:26

  #### Parameters

  - ##### value: boolean

  #### Returns void

Generated using TypeDoc